summaryrefslogtreecommitdiffstats
path: root/bin/live-build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-01-02 00:06:29 +0100
committerHolger Levsen <holger@layer-acht.org>2015-01-02 00:06:29 +0100
commitfdbd3c03d1d0e1a85a9a8fc58d22e98e33e40d4d (patch)
treee4f564adb309f62ffe3b8c2b91d35f4333dfb1d6 /bin/live-build.sh
parent43b565aeb6edb73f0977b264aebb95199d82df0e (diff)
downloadjenkins.debian.net-fdbd3c03d1d0e1a85a9a8fc58d22e98e33e40d4d.tar.xz
live: also build debian gnome+xfce jessie live images
Diffstat (limited to 'bin/live-build.sh')
-rwxr-xr-xbin/live-build.sh13
1 files changed, 7 insertions, 6 deletions
diff --git a/bin/live-build.sh b/bin/live-build.sh
index e7163eae..f5163eca 100755
--- a/bin/live-build.sh
+++ b/bin/live-build.sh
@@ -12,23 +12,24 @@ cleanup_all() {
}
TMPDIR=$(mktemp --tmpdir=/srv/live-build -d)
-trap cleanup_all INT TERM EXIT
-
cd $TMPDIR
+trap cleanup_all INT TERM EXIT
# $1 is used for the hostname and username
-# $2 is standalone...
+# $2 is choosing the flavor
lb config --distribution jessie --bootappend-live "boot=live config hostname=$1 username=$1"
case "$2" in
standalone) echo education-standalone > config/package-lists/live.list.chroot
;;
+ gnome) echo gnome > config/package-lists/live.list.chroot
+ ;;
+ xfce) echo xfce4 > config/package-lists/live.list.chroot
+ ;;
*) ;;
esac
sudo lb build
-ls -la *.iso || true
mkdir -p /srv/live-build/results
-cp *.iso /srv/live-build/results
-# FIXME: use proper filenames
+cp -v live-image-amd64.hybrid.iso /srv/live-build/results/$1_$2_live_amd64.iso
cleanup_all
trap - INT TERM EXIT